Bug 315212 - Feature Request - for Contact custom field creation
Summary: Feature Request - for Contact custom field creation
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: contacts (show other bugs)
Version: GIT (master)
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Tobias Koenig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-15 16:27 UTC by Timothy
Modified: 2013-02-26 02:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy 2013-02-15 16:27:42 UTC
All,

Please add hyperlink as a custom field type to add additional URL's to contacts.

Reproducible: Always
Comment 1 Laurent Montel 2013-02-15 22:32:55 UTC
why ?
Could you explain with a user case ?
I don't understand why it's useful.
Comment 2 Timothy 2013-02-18 00:28:35 UTC
Laurent,

Creating a hyperlink custom field type is useful to add additional URLs for websites for quick reference and for contacts that have multiple web sites.

Currently in Kontact/Contact 4.9.5 their is only an option to configure 1 homepage and 1 blog and provides no way to enter a second homepage or work URL.

Adding the URL in the notes section does not actually make it a clickable URL and requires copying and pasting into the web browser.

The other option is to modify Kontact/Contacts Contact Tab/ Homepage input filed to allow multiple inputs like the email field.
Comment 3 Laurent Montel 2013-02-25 17:10:06 UTC
Git commit 2bfd44d2d4300a6d757e85cd3543609e58fe5927 by Montel Laurent.
Committed on 25/02/2013 at 18:09.
Pushed by mlaurent into branch 'master'.

Fix Bug 315212 - Feature Request - for Contact custom field creation

FIXED-IN: 4.11

M  +1    -1    CMakeLists.txt
M  +7    -0    akonadi/contact/customfields.cpp
M  +2    -1    akonadi/contact/customfields_p.h
M  +1    -0    akonadi/contact/editor/customfieldeditordialog.cpp
M  +3    -0    akonadi/contact/editor/customfieldsdelegate.cpp
M  +1    -0    akonadi/contact/editor/customfieldsmodel.cpp
M  +8    -2    akonadi/contact/standardcontactformatter.cpp

http://commits.kde.org/kdepimlibs/2bfd44d2d4300a6d757e85cd3543609e58fe5927
Comment 4 Laurent Montel 2013-02-25 17:10:32 UTC
I added a new i18n so I put it in 4.11
Regards
Comment 5 Timothy 2013-02-26 02:03:59 UTC
Thank you Laurent